function __construct()
{
	if(typeof showmap == 'function')showmap();
    $("votePopupLink").addEvent("click", openVotePopup.handler(this));
    if($("commentPopupLink"))
    $("commentPopupLink").addEvent("click", openCommentPopup.handler(this));
    $("problemPopupLink").addEvent("click", openProblemPopup.handler(this));

    function openVotePopup(event)
    {
        var win = new PopupWindow();       
        win.open(setting.votePopupUrl, "vote", 250, 250, 313, 250, 0);
        event.preventDefault();
    }

    function openCommentPopup(event)
    {
        var win = new PopupWindow();
        win.open(setting.commentPopupUrl, "comment", 250, 250, 380, 250, 1);
        event.preventDefault(); 
    }

    function openProblemPopup(event)
    {
        var win = new PopupWindow();
        win.open(setting.problemPopupUrl, "siteProblem", 240, 250, 340, 180, 1);
        event.preventDefault();  
    }
    
    if(setting.retrieveGoogleDetailsSiteId)
    {
        function googleDetailsOnSuccess(ajaxObj)
        {
           var site = ajaxObj.parseJSON();
           var imgSrc = '<img src="' + setting.siteRootUrl + '/templates/arfooo/images/pagerank/pr' + site.pageRank + '.gif" alt="PageRank ' + site.pageRank + '" />';  
           
           if($("pageRank"))$("pageRank").innerHTML = imgSrc; 
           if($("backlinksCount"))$("backlinksCount").innerHTML = site.backlinksCount;
           if($("indexedPagesCount"))$("indexedPagesCount").innerHTML = site.indexedPagesCount;
        }
        
        ajax = new AjaxClient();
        ajax.addParam("siteId", setting.retrieveGoogleDetailsSiteId);
        ajax.onSuccess = googleDetailsOnSuccess;
        ajax.post("/site/getGoogleDetails");
    }

}