<?php
//////////////////////////////////////////////////////////////////////////////////
//                         copyright (c) Arfooo Annuaire                          //
//                    by Hocine Guillaume (c) 2007 - 2008                        //
//                           http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

class BannedSiteModel extends Model
{
    protected $primaryKey = "banId";

    function isBanned($site)
    {
        if(empty($site))return true;

        $bannedSites = $this->findAll(null, "site");

        foreach($bannedSites as $bannedSite)
        {
            if(preg_match("#^".str_replace("\\*", ".*", preg_quote($bannedSite['site']))."$#i", $site))
                return true;
        }

        return false;
    }
}

class BannedSiteRecord extends ModelRecord
{

}

?>